LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
XEncryptionProtectedStorage Member List

This is the complete list of members for XEncryptionProtectedStorage, including all inherited members.

acquire() | XInterface |
getEncryptionAlgorithms() | XEncryptionProtectedStorage |
hasEncryptionData() | XEncryptionProtectedSource2 |
queryInterface([in] type aType) | XInterface |
release() | XInterface |
removeEncryption() | XEncryptionProtectedSource |
setEncryptionAlgorithms([in] sequence< ::com::sun::star::beans::NamedValue > aAlgorithms) | XEncryptionProtectedStorage |
setEncryptionData([in] sequence< ::com::sun::star::beans::NamedValue > aEncryptionData) | XEncryptionProtectedSource2 |
setEncryptionPassword([in] string sPassword) | XEncryptionProtectedSource |